Bug 481302 - escript is not in $PATH
escript is not in $PATH
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: erlang (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 09:34 EST by Hans Ulrich Niedermann
Modified: 2009-03-04 11:29 EST (History)
1 user (show)

See Also:
Fixed In Version: R12B-5.6.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 11:26:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2009-01-23 09:34:28 EST
Description of problem:

  escript cannot be found in scripts starting with the common
     #!/usr/bin/env escript

Version-Release number of selected component (if applicable):

  erlang-R12B-4.1.fc9.i386

How reproducible:

  100%

Steps to Reproduce:
1. echo "#!/usr/bin/env escript" > escript-test
2. chmod +x escript-test
3. ./escript-test
  
Actual results:

  /usr/bin/env: escript: No such file or directory

Expected results:

  ./escript-test:0: function main/1 undefined
  escript: There were compilation errors.

Additional info:

  erl and erlc are also installed to /usr/lib/erlang/bin,
  and then symlinked to /usr/bin.

  The same could be done for escript as well, and potentially
  also for dialyzer?
Comment 1 Gérard Milmeister 2009-03-01 10:05:23 EST
I will include this in the update I am currently working on.
Comment 2 Fedora Update System 2009-03-01 12:08:24 EST
erlang-R12B-5.6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/erlang-R12B-5.6.fc10
Comment 3 Fedora Update System 2009-03-01 12:08:29 EST
erlang-R12B-5.6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/erlang-R12B-5.6.fc9
Comment 4 Fedora Update System 2009-03-04 11:26:48 EST
erlang-R12B-5.6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-03-04 11:29:23 EST
erlang-R12B-5.6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.